landscape-config new registration request prompt should default to no for subsequent runs

Bug #1618483 reported by David Coronel on 2016-08-30
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Client
Low
Alberto Donato
landscape-client (Ubuntu)
Low
Andreas Hasenack
Trusty
Low
Andreas Hasenack
Xenial
Low
Andreas Hasenack
Zesty
Low
Andreas Hasenack
Artful
Low
Andreas Hasenack

Bug Description

[Impact]

When running landscape-config, this prompt always defaults to Yes:
"Request a new registration for this computer now? (Y/n):"
The landscape-config command can be used to change configuration options in /etc/landscape/client.conf and should default to No when running this command on a computer that is already registered to a Landscape server and that server doesn't change during that run of landscape-config.

[Test Case]

1) Install landscape-client package on computer.
2) Run landscape-config to register client for the first time. Note how the default answer for the registration question is "Y"
3) Run landscape-config again to change an option:
sudo landscape-config --ping-interval=60
4) Verify that the question about requesting a new registration defaults to "N" this time.

[Regression Potential]
Admins and scripts who relied on the old behavior might be surprised that a new registration is not requested anymore by default if the client is already registered, but I believe it's a welcomed change. It was even a sort of known issue in our FAQ (https://help.landscape.canonical.com/RunningScripts#Enabling%20script%20execution):
"""
/!\ Very important: when using this method [Ed: calling landscape-config], you MUST NOT request a new registration for the computer, as that will create a duplicate machine in your Landscape account!
"""

If there is a regression here, it will just affect the default answer given to the "do you wanted to register" question. The admin can still answer however he/she wishes.

[Other Info]

* Upstream revision:
http://bazaar.launchpad.net/~landscape/landscape-client/trunk/revision/939

This PPA has test packages built from these branches, using a ~ppaN suffix:
https://launchpad.net/~ahasenack/+archive/ubuntu/lsclient-sru-1721383

--- Original description ---

When running landscape-config, this prompt always defaults to Yes:

"Request a new registration for this computer now? (Y/n):"

The landscape-config command can be used to change configuration options in /etc/landscape/client.conf and should default to No when running this command on a computer that is already registered to a Landscape server and that server doesn't change during that run of landscape-config.

Steps to replicate:

1) Install landscape-client package on computer
$ sudo apt-get install landscape-client

2) Run landscape-config to register client for the first time
$ sudo landscape-config --account-name standalone --url https://<server>/message-system --ping-url http://<server>/ping

3) Run landscape-config again to change an option
$ sudo landscape-config --ping-interval=60

[Test Case]

When running landscape-config, this prompt always defaults to Yes:
"Request a new registration for this computer now? (Y/n):"
The landscape-config command can be used to change configuration options in /etc/landscape/client.conf and should default to No when running this command on a computer that is already registered to a Landscape server and that server doesn't change during that run of landscape-config.

To reproduce:

1) Install landscape-client package on computer.
2) Run landscape-config to register client for the first time.
3) Run landscape-config again to change an option:
sudo landscape-config --ping-interval=60

Related branches

Changed in landscape:
status: New → Triaged
importance: Undecided → Low
tags: added: bug-squad kanban
Simon Poirier (simpoir) on 2016-12-08
Changed in landscape:
assignee: nobody → Simon Poirier (simpoir)
Simon Poirier (simpoir) on 2016-12-08
Changed in landscape:
status: Triaged → In Progress
David Coronel (davecore) wrote :

Should this be moved to landscape-client?

Simon Poirier (simpoir) on 2017-02-24
Changed in landscape:
assignee: Simon Poirier (simpoir) → nobody
status: In Progress → Confirmed
status: Confirmed → Triaged
Alberto Donato (ack) on 2017-03-03
Changed in landscape:
assignee: nobody → Alberto Donato (ack)
status: Triaged → In Progress
Alberto Donato (ack) on 2017-03-30
Changed in landscape:
status: In Progress → Fix Committed
description: updated
information type: Proprietary → Public
affects: landscape → landscape-client
Changed in landscape-client (Ubuntu):
status: New → In Progress
assignee: nobody → Andreas Hasenack (ahasenack)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 16.03-0ubuntu4

---------------
landscape-client (16.03-0ubuntu4) bionic; urgency=medium

  [ Simon Poirier]
  * Update landscape-client with upstream fixes (LP: #1721383):
    - Add proxy handling to package reporter. (LP: #1531150)
    - Fix regression in configuration hook under install-cd chroot (LP: #1699789)
    - Report autoremovable packages (LP: #1208393)
    - Do not re-register client by default (LP: #1618483)
    - Remove diff "noise" from d/p/ignore-backports-1668583.diff

 -- Andreas Hasenack <email address hidden> Fri, 10 Nov 2017 12:26:23 -0200

Changed in landscape-client (Ubuntu):
status: In Progress → Fix Released
Eric Desrochers (slashd) on 2017-11-23
description: updated
description: updated
Eric Desrochers (slashd) on 2017-11-23
description: updated
description: updated
description: updated
description: updated
description: updated
Changed in landscape-client (Ubuntu Trusty):
status: New → In Progress
Changed in landscape-client (Ubuntu Xenial):
status: New → In Progress
Changed in landscape-client (Ubuntu Zesty):
status: New → In Progress
Changed in landscape-client (Ubuntu Artful):
status: New → In Progress
Changed in landscape-client (Ubuntu Trusty):
assignee: nobody → Andreas Hasenack (ahasenack)
Changed in landscape-client (Ubuntu Xenial):
assignee: nobody → Andreas Hasenack (ahasenack)
Changed in landscape-client (Ubuntu Zesty):
assignee: nobody → Andreas Hasenack (ahasenack)
Changed in landscape-client (Ubuntu Artful):
assignee: nobody → Andreas Hasenack (ahasenack)

Hello David, or anyone else affected,

Accepted landscape-client into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/landscape-client/16.03-0ubuntu3.17.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in landscape-client (Ubuntu Artful):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-artful
Łukasz Zemczak (sil2100) wrote :

Hello David, or anyone else affected,

Accepted landscape-client into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/landscape-client/16.03-0ubuntu3.17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in landscape-client (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed-zesty
Łukasz Zemczak (sil2100) wrote :

Hello David, or anyone else affected,

Accepted landscape-client into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/landscape-client/16.03-0ubuntu2.16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in landscape-client (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

Hello David, or anyone else affected,

Accepted landscape-client into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/landscape-client/14.12-0ubuntu6.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in landscape-client (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed-trusty
David Coronel (davecore) wrote :

I tested this fix on the new versions of trusty, xenial, zesty and artful and it works as expected (defaults to no):

 Request a new registration for this computer now? [y/N]

Changed in landscape-client (Ubuntu):
importance: Undecided → Low
Changed in landscape-client (Ubuntu Trusty):
importance: Undecided → Low
Changed in landscape-client (Ubuntu Xenial):
importance: Undecided → Low
Changed in landscape-client (Ubuntu Zesty):
importance: Undecided → Low
Changed in landscape-client (Ubuntu Artful):
importance: Undecided → Low
Eric Desrochers (slashd) on 2017-12-04
tags: added: verification-done-artful verification-done-trusty verification-done-xenial verification-done-zesty
removed: verification-needed-artful verification-needed-trusty verification-needed-xenial verification-needed-zesty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 16.03-0ubuntu3.17.10.1

---------------
landscape-client (16.03-0ubuntu3.17.10.1) artful; urgency=medium

  [ Simon Poirier ]
  * Add proxy handling to package reporter. (LP: #1531150)
  * Fix regression in configuration hook under install-cd chroot (LP: #1699789)
  * Report autoremovable packages (LP: #1208393)
  * No not re-register client by default (LP: #1618483)

 -- Andreas Hasenack <email address hidden> Fri, 10 Nov 2017 15:44:17 -0200

Changed in landscape-client (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for landscape-client has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 16.03-0ubuntu3.17.04.1

---------------
landscape-client (16.03-0ubuntu3.17.04.1) zesty; urgency=medium

  [ Simon Poirier ]
  * Add proxy handling to package reporter. (LP: #1531150)
  * Fix regression in configuration hook under install-cd chroot (LP: #1699789)
  * Report autoremovable packages (LP: #1208393)
  * No not re-register client by default (LP: #1618483)

 -- Andreas Hasenack <email address hidden> Fri, 10 Nov 2017 16:06:54 -0200

Changed in landscape-client (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 16.03-0ubuntu2.16.04.2

---------------
landscape-client (16.03-0ubuntu2.16.04.2) xenial; urgency=medium

  [ Simon Poirier ]
  * Add proxy handling to package reporter. (LP: #1531150)
  * Fix regression in configuration hook under install-cd chroot (LP: #1699789)
  * Report autoremovable packages (LP: #1208393)
  * No not re-register client by default (LP: #1618483)

 -- Andreas Hasenack <email address hidden> Fri, 10 Nov 2017 16:09:30 -0200

Changed in landscape-client (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 14.12-0ubuntu6.14.04.1

---------------
landscape-client (14.12-0ubuntu6.14.04.1) trusty; urgency=medium

  [ Simon Poirier ]
  * Add proxy handling to package reporter. (LP: #1531150)
  * Fix regression in configuration hook under install-cd chroot (LP: #1699789)
  * Report autoremovable packages (LP: #1208393)
  * No not re-register client by default (LP: #1618483)

 -- Andreas Hasenack <email address hidden> Fri, 10 Nov 2017 16:21:54 -0200

Changed in landscape-client (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers